Package org.apache.storm.testing

## Class TestConfBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseBasicBolt
    - - org.apache.storm.testing.TestConfBolt

- All Implemented Interfaces:
    `Serializable`, `IBasicBolt`, `IComponent`

      public class TestConfBolt
      extends BaseBasicBolt

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestConfBolt()` |
    `TestConfBolt​(Map<String,​Object> componentConf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `declareOutputFields​(OutputFieldsDeclarer declarer)` | Declare the output schema for all the streams of this topology.
    `void` | `execute​(Tuple input, BasicOutputCollector collector)` | Process the input tuple and optionally emit new tuples based on the input tuple.
    `Map<String,​Object>` | `getComponentConfiguration()` | Declare configuration specific to this component.
    `void` | `prepare​(Map<String,​Object> conf, TopologyContext context)` |

    - ### Methods inherited from class org.apache.storm.topology.base.BaseBasicBolt

      `cleanup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestConfBolt

          public TestConfBolt()

    - #### TestConfBolt

          public TestConfBolt​(Map<String,​Object> componentConf)

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `IBasicBolt`
      Overrides:
        `prepare` in class `BaseBasicBolt`

    - #### declareOutputFields

          public void declareOutputFields​(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`
      Declare the output schema for all the streams of this topology.
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

    - #### execute

          public void execute​(Tuple input,
                              BasicOutputCollector collector)

      Description copied from interface: `IBasicBolt`
      Process the input tuple and optionally emit new tuples based on the input tuple.

      All acking is managed for you. Throw a FailedException if you want to fail the tuple.

    - #### getComponentConfiguration

          public Map<String,​Object> getComponentConfiguration()

      Description copied from interface: `IComponent`
      Declare configuration specific to this component. Only a subset of the "topology.*" configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`
      Specified by:
        `getComponentConfiguration` in interface `IComponent`
      Overrides:
        `getComponentConfiguration` in class `BaseComponent`